# WriteProMD
## Description 
WriteProMD is a powerful, versatile application that enables users to easily convert markdown documents to professional-grade PDFs. With support for a wide range of formatting options, including headers, code blocks, quotes, tables, images, and more, this app makes it simple to create polished, high-quality documents for a variety of purposes, including reports, homeworks, and other written materials.

Designed to be user-friendly, WriteProMD utilizes a markdown-like syntax that is intuitive and easy to learn. Whether you are a student, researcher, professional, or anyone else in need of a streamlined, efficient way to create PDFs from markdown documents, Markdown2PDF has you covered.

## Installation
Install with PIP:
`pip install WriteProMD`

## Usage


### Text Features:

Text Features:
| Feature  | Syntax |
| ------------- | ------------- |
| Bold  | \*\*bold\*\*  |
| Italics  | \*italics\*  |
| Underline  | \_\_underline\_\_  |
| Header 1  | \# Header 1  |
| Header 2  | \#\# Header 2  |
| Header 3  | \#\#\# Header 3  |
| Quoteblock  | ```quoteblock  |
| Quote  | \`quote  |

Commands are special instructions to the program to execute a specific function such as inserting an image or creating a new page.

### Commands:
| Feature  | Syntax | Possible Values | 
| ------------- | ------------- | ------------- |
| Current Date  | \@date  | N/A |
| Current Page Number | \@pagenumber | N/A |
| Image  | \@image -file=location.png -width=400 -height=400  | N/A |
| New Page  | \@newpage  | N/A |
| Header  | \@header one, two, three  | N/A |
| Layout | \@pagelayout Letter | Legal, Letter, A4, A3, A5, A6, B5, Executive, Folio, Ledger, Tabloid
| Change Font | \@font Times | Helvetica, Times, Arial, Courier, Symbol, ZapfDingbats |
| Change Font Size | \@size 12 | 4 to 72 |


## Contributions

## License

Markdown2PDF is licensed under the MIT license.

## WriteProMD
If you have any questions or feedback, please feel free to contact the project maintainers at me@almogcohen.com
